API reference · Reservations
Cancel a booking
POST
/v1/reservations/{id}/cancelThe customer cancels — up to the restaurant's cancellation cut-off before the time.
- Scope
reservations:write - 30 / minute
Path parameters
idstringrequired- Booking id.
Body
reasonstring ≤ 200- Optional.
Response
{ "id": "r-91…", "object": "reservation", "test": false, "status": "CANCELLED", "…": "…" }Errors
| Code | HTTP | Meaning |
|---|---|---|
| CANNOT_CANCEL | 409 | Too late to cancel. |
| NOT_FOUND | 404 | Not found (or not visible to this key). |
| SCOPE_MISSING | 403 | The key is not allowed to do that. |